# Namespace hcap.bluetooth.audio

hcap.bluetooth.audio

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.bluetooth.audio

## Method Summary

## Namespace Detail

hcap.bluetooth.audio

## Method Detail

- <static> hcap.bluetooth.audio.backward(param)
  Plays the bluetooth audio streaming of the previous track.
  Precondition : Bluetooth audio device is connected.

      hcap.bluetooth.audio.backward({
           "onSuccess":function() {
               console.log("onSuccess");
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.20.0
  See:
    {Event} bluetooth_event_received
    hcap.bluetooth.audio.play()
    hcap.bluetooth.audio.stop()
    hcap.bluetooth.audio.pause()
    hcap.bluetooth.audio.forward()
- <static> hcap.bluetooth.audio.forward(param)
  Plays the bluetooth audio streaming of the next track.
  Precondition : Bluetooth audio device is connected.

      hcap.bluetooth.audio.forward({
           "onSuccess":function() {
               console.log("onSuccess");
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.20.0
  See:
    {Event} bluetooth_event_received
    hcap.bluetooth.audio.play()
    hcap.bluetooth.audio.stop()
    hcap.bluetooth.audio.pause()
    hcap.bluetooth.audio.backward()
- <static> hcap.bluetooth.audio.pause(param)
  Pauses the bluetooth audio streaming.
  Precondition : Bluetooth audio device is connected.

      hcap.bluetooth.audio.pause({
           "onSuccess":function() {
               console.log("onSuccess");
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.20.0
  See:
    {Event} bluetooth_event_received
    hcap.bluetooth.audio.play()
    hcap.bluetooth.audio.stop()
    hcap.bluetooth.audio.forward()
    hcap.bluetooth.audio.backward()
- <static> hcap.bluetooth.audio.play(param)
  Plays the bluetooth audio streaming.
  Precondition : Bluetooth audio device is connected.

      hcap.bluetooth.audio.play({
           "onSuccess":function() {
               console.log("onSuccess");
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.20.0
  See:
    {Event} bluetooth_event_received
    hcap.bluetooth.audio.stop()
    hcap.bluetooth.audio.pause()
    hcap.bluetooth.audio.forward()
    hcap.bluetooth.audio.backward()
- <static> hcap.bluetooth.audio.stop(param)
  Stops the bluetooth audio streaming.
  Precondition : Bluetooth audio device is connected.

      hcap.bluetooth.audio.stop({
           "onSuccess":function() {
               console.log("onSuccess");
           },
           "onFailure":function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function(param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.20.0
  See:
    {Event} bluetooth_event_received
    hcap.bluetooth.audio.play()
    hcap.bluetooth.audio.pause()
    hcap.bluetooth.audio.forward()
    hcap.bluetooth.audio.backward()